Package com.emc.d2fs.services.distribution_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.distribution_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.distribution_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.distribution_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetDistributionContentRequest`
  `createGetDistributionContentRequest()`
  Create an instance of `GetDistributionContentRequest`
  `GetDistributionContentResponse`
  `createGetDistributionContentResponse()`
  Create an instance of `GetDistributionContentResponse`
  `GetReportFileNameRequest`
  `createGetReportFileNameRequest()`
  Create an instance of `GetReportFileNameRequest`
  `GetReportFileNameResponse`
  `createGetReportFileNameResponse()`
  Create an instance of `GetReportFileNameResponse`
  `GetSignoffParametersRequest`
  `createGetSignoffParametersRequest()`
  Create an instance of `GetSignoffParametersRequest`
  `GetSignoffParametersResponse`
  `createGetSignoffParametersResponse()`
  Create an instance of `GetSignoffParametersResponse`
  `HandleDistributionActionRequest`
  `createHandleDistributionActionRequest()`
  Create an instance of `HandleDistributionActionRequest`
  `HandleDistributionActionResponse`
  `createHandleDistributionActionResponse()`
  Create an instance of `HandleDistributionActionResponse`
  `LaunchDistributionRequest`
  `createLaunchDistributionRequest()`
  Create an instance of `LaunchDistributionRequest`
  `LaunchDistributionResponse`
  `createLaunchDistributionResponse()`
  Create an instance of `LaunchDistributionResponse`
  `StopDistributionRequest`
  `createStopDistributionRequest()`
  Create an instance of `StopDistributionRequest`
  `StopDistributionResponse`
  `createStopDistributionResponse()`
  Create an instance of `StopDistributionResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.distribution_service

- ## Method Details

  - ### createLaunchDistributionRequest

    public LaunchDistributionRequest createLaunchDistributionRequest()
    Create an instance of `LaunchDistributionRequest`

  - ### createLaunchDistributionResponse

    public LaunchDistributionResponse createLaunchDistributionResponse()
    Create an instance of `LaunchDistributionResponse`

  - ### createStopDistributionRequest

    public StopDistributionRequest createStopDistributionRequest()
    Create an instance of `StopDistributionRequest`

  - ### createStopDistributionResponse

    public StopDistributionResponse createStopDistributionResponse()
    Create an instance of `StopDistributionResponse`

  - ### createGetDistributionContentRequest

    public GetDistributionContentRequest createGetDistributionContentRequest()
    Create an instance of `GetDistributionContentRequest`

  - ### createGetDistributionContentResponse

    public GetDistributionContentResponse createGetDistributionContentResponse()
    Create an instance of `GetDistributionContentResponse`

  - ### createHandleDistributionActionRequest

    public HandleDistributionActionRequest createHandleDistributionActionRequest()
    Create an instance of `HandleDistributionActionRequest`

  - ### createHandleDistributionActionResponse

    public HandleDistributionActionResponse createHandleDistributionActionResponse()
    Create an instance of `HandleDistributionActionResponse`

  - ### createGetSignoffParametersRequest

    public GetSignoffParametersRequest createGetSignoffParametersRequest()
    Create an instance of `GetSignoffParametersRequest`

  - ### createGetSignoffParametersResponse

    public GetSignoffParametersResponse createGetSignoffParametersResponse()
    Create an instance of `GetSignoffParametersResponse`

  - ### createGetReportFileNameRequest

    public GetReportFileNameRequest createGetReportFileNameRequest()
    Create an instance of `GetReportFileNameRequest`

  - ### createGetReportFileNameResponse

    public GetReportFileNameResponse createGetReportFileNameResponse()
    Create an instance of `GetReportFileNameResponse`